<?php
/*
 * Creditos para quien creó el código https://gist.github.com/JeroenSormani/564f66bd2f697291e6c37b1ed3c595dc#file-woocommerce-change-city-field-to-dropdown-php
 * https://developer.wordpress.org/plugins/plugin-basics/header-requirements/
 * Plugin Name: Regiones, Ciudades y Comunas de Chile
 * Description: Plugin de las regiones, ciudades, comunas y sectores de Chile para zonas de despacho y de facturación. Si necesitas que agreguemos sectores escríbenos a contacto@apardo.cl
 * Version: 1.0
 * Author: Apardo Consultores
 * Author URI: https://apardo.cl
 * License: GPLv3
 * Requires at least: 5.0
 * Tested up to: 5.4
 * Requires PHP: 5.6
*/

function comunas_de_chile($states)
{
    $states['CL'] = array(
        'CL_100' => 'Algarrobo',
        'CL_101' => 'Alhué',
        'CL_102' => 'Alto Biobío',
        'CL_103' => 'Alto del Carmen',
        'CL_104' => 'Alto Hospicio',
        'CL_105' => 'Ancud',
        'CL_106' => 'Andacollo',
        'CL_107' => 'Angol',
        'CL_108' => 'Antártica',
        'CL_109' => 'Antofagasta',
        'CL_110' => 'Antuco',
        'CL_111' => 'Arauco',
        'CL_112' => 'Arica',
        'CL_113' => 'Aysén',
        'CL_114' => 'Buin',
        'CL_115' => 'Bulnes',
        'CL_116' => 'Cabildo',
        'CL_117' => 'Cabo de Hornos',
        'CL_118' => 'Cabrero',
        'CL_119' => 'Calama',
        'CL_120' => 'Calbuco',
        'CL_121' => 'Caldera',
        'CL_122' => 'Calera de Tango',
        'CL_123' => 'Calle Larga',
        'CL_124' => 'Camarones',
        'CL_125' => 'Camiña',
        'CL_126' => 'Canela',
        'CL_127' => 'Cañete',
        'CL_128' => 'Carahue',
        'CL_129' => 'Cartagena',
        'CL_130' => 'Casablanca',
        'CL_131' => 'Castro',
        'CL_132' => 'Catemu',
        'CL_133' => 'Cauquenes',
        'CL_134' => 'Cerrillos',
        'CL_135' => 'Cerro Navia',
        'CL_136' => 'Chaitén',
        'CL_137' => 'Chanco',
        'CL_138' => 'Chañaral',
        'CL_139' => 'Chépica',
        'CL_140' => 'Chiguayante',
        'CL_141' => 'Chile Chico',
        'CL_142' => 'Chillán',
        'CL_143' => 'Chillán Viejo',
        'CL_144' => 'Chimbarongo',
        'CL_145' => 'Cholchol',
        'CL_146' => 'Chonchi',
        'CL_147' => 'Cisnes',
        'CL_148' => 'Cobquecura',
        'CL_149' => 'Cochamó',
        'CL_150' => 'Cochrane',
        'CL_151' => 'Codegua',
        'CL_152' => 'Coelemu',
        'CL_153' => 'Coihueco',
        'CL_154' => 'Coinco',
        'CL_155' => 'Colbún',
        'CL_156' => 'Colchane',
        'CL_157' => 'Colina',
        'CL_158' => 'Collipulli',
        'CL_159' => 'Coltauco',
        'CL_160' => 'Combarbalá',
        'CL_161' => 'Concepción',
        'CL_162' => 'Conchalí',
        'CL_163' => 'Concón',
        'CL_164' => 'Constitución',
        'CL_165' => 'Contulmo',
        'CL_166' => 'Copiapó',
        'CL_167' => 'Coquimbo',
        'CL_168' => 'Coronel',
        'CL_169' => 'Corral',
        'CL_170' => 'Coyhaique',
        'CL_171' => 'Cunco',
        'CL_172' => 'Curacautín',
        'CL_173' => 'Curacaví',
        'CL_174' => 'Curaco de Vélez',
        'CL_175' => 'Curanilahue',
        'CL_176' => 'Curarrehue',
        'CL_177' => 'Curepto',
        'CL_178' => 'Curicó',
        'CL_179' => 'Dalcahue',
        'CL_180' => 'Diego de Almagro',
        'CL_181' => 'Doñihue',
        'CL_182' => 'El Bosque',
        'CL_183' => 'El Carmen',
        'CL_184' => 'El Monte',
        'CL_185' => 'El Quisco',
        'CL_186' => 'El Tabo',
        'CL_187' => 'Empedrado',
        'CL_188' => 'Ercilla',
        'CL_189' => 'Estación Central',
        'CL_190' => 'Florida',
        'CL_191' => 'Freire',
        'CL_192' => 'Freirina',
        'CL_193' => 'Fresia',
        'CL_194' => 'Frutillar',
        'CL_195' => 'Futaleufú',
        'CL_196' => 'Futrono',
        'CL_197' => 'Galvarino',
        'CL_198' => 'General Lagos',
        'CL_199' => 'Gorbea',
        'CL_200' => 'Graneros',
        'CL_201' => 'Guaitecas',
        'CL_202' => 'Hijuelas',
        'CL_203' => 'Hualaihué',
        'CL_204' => 'Hualañé',
        'CL_205' => 'Hualpén',
        'CL_206' => 'Hualqui',
        'CL_207' => 'Huara',
        'CL_208' => 'Huasco',
        'CL_209' => 'Huechuraba',
        'CL_210' => 'Illapel',
        'CL_211' => 'Independencia',
        'CL_212' => 'Iquique',
        'CL_213' => 'Isla de Maipo',
        'CL_214' => 'Isla de Pascua',
        'CL_215' => 'Juan Fernández',
        'CL_216' => 'La Calera',
        'CL_217' => 'La Cisterna',
        'CL_218' => 'La Cruz',
        'CL_219' => 'La Estrella',
        'CL_220' => 'La Florida',
        'CL_221' => 'La Granja',
        'CL_222' => 'La Higuera',
        'CL_223' => 'La Ligua',
        'CL_224' => 'La Pintana',
        'CL_225' => 'La Reina',
        'CL_226' => 'La Serena',
        'CL_227' => 'La Unión',
        'CL_228' => 'Lago Ranco',
        'CL_229' => 'Lago Verde',
        'CL_230' => 'Laguna Blanca',
        'CL_231' => 'Laja',
        'CL_232' => 'Lampa',
        'CL_233' => 'Lanco',
        'CL_234' => 'Las Cabras',
        'CL_235' => 'Las Condes',
        'CL_236' => 'Lautaro',
        'CL_237' => 'Lebu',
        'CL_238' => 'Licantén',
        'CL_239' => 'Limache',
        'CL_240' => 'Linares',
        'CL_241' => 'Litueche',
        'CL_242' => 'Llanquihue',
        'CL_243' => 'Llay Llay',
        'CL_244' => 'Lo Barnechea',
        'CL_245' => 'Lo Espejo',
        'CL_246' => 'Lo Prado',
        'CL_247' => 'Lolol',
        'CL_248' => 'Loncoche',
        'CL_249' => 'Longaví',
        'CL_250' => 'Lonquimay',
        'CL_251' => 'Los Álamos',
        'CL_252' => 'Los Andes',
        'CL_253' => 'Los Ángeles',
        'CL_254' => 'Los Lagos',
        'CL_255' => 'Los Muermos',
        'CL_256' => 'Los Sauces',
        'CL_257' => 'Los Vilos',
        'CL_258' => 'Lota',
        'CL_259' => 'Lumaco',
        'CL_260' => 'Machalí',
        'CL_261' => 'Macul',
        'CL_262' => 'Máfil',
        'CL_263' => 'Maipú',
        'CL_264' => 'Malloa',
        'CL_265' => 'Marchihue',
        'CL_266' => 'María Elena',
        'CL_267' => 'María Pinto',
        'CL_268' => 'Mariquina',
        'CL_269' => 'Maule',
        'CL_270' => 'Maullín',
        'CL_271' => 'Mejillones',
        'CL_272' => 'Melipeuco',
        'CL_273' => 'Melipilla',
        'CL_274' => 'Molina',
        'CL_275' => 'Monte Patria',
        'CL_276' => 'Mostazal',
        'CL_277' => 'Mulchén',
        'CL_278' => 'Nacimiento',
        'CL_279' => 'Nancagua',
        'CL_280' => 'Natales',
        'CL_281' => 'Navidad',
        'CL_282' => 'Negrete',
        'CL_283' => 'Ninhue',
        'CL_284' => 'Nogales',
        'CL_285' => 'Nueva Imperial',
        'CL_286' => 'Ñiquén',
        'CL_287' => 'Ñuñoa',
        'CL_288' => 'O\'Higgins',
        'CL_289' => 'Olivar',
        'CL_290' => 'Ollagüe',
        'CL_291' => 'Olmué',
        'CL_292' => 'Osorno',
        'CL_293' => 'Ovalle',
        'CL_294' => 'Padre Hurtado',
        'CL_295' => 'Padre las Casas',
        'CL_296' => 'Paihuano',
        'CL_297' => 'Paillaco',
        'CL_298' => 'Paine',
        'CL_299' => 'Palena',
        'CL_300' => 'Palmilla',
        'CL_301' => 'Panguipulli',
        'CL_302' => 'Panquehue',
        'CL_303' => 'Papudo',
        'CL_304' => 'Paredones',
        'CL_305' => 'Parral',
        'CL_306' => 'Pedro Aguirre Cerda',
        'CL_307' => 'Pelarco',
        'CL_308' => 'Pelluhue',
        'CL_309' => 'Pemuco',
        'CL_310' => 'Pencahue',
        'CL_311' => 'Penco',
        'CL_312' => 'Peñaflor',
        'CL_313' => 'Peñalolén',
        'CL_314' => 'Peralillo',
        'CL_315' => 'Perquenco',
        'CL_316' => 'Petorca',
        'CL_317' => 'Peumo',
        'CL_318' => 'Pica',
        'CL_319' => 'Pichidegua',
        'CL_320' => 'Pichilemu',
        'CL_321' => 'Pinto',
        'CL_322' => 'Pirque',
        'CL_323' => 'Pitrufquén',
        'CL_324' => 'Placilla',
        'CL_325' => 'Portezuelo',
        'CL_326' => 'Porvenir',
        'CL_327' => 'Pozo Almonte',
        'CL_328' => 'Primavera',
        'CL_329' => 'Providencia',
        'CL_330' => 'Puchuncaví',
        'CL_331' => 'Pucón',
        'CL_332' => 'Pudahuel',
        'CL_333' => 'Puente Alto',
        'CL_334' => 'Puerto Montt',
        'CL_335' => 'Puerto Octay',
        'CL_336' => 'Puerto Varas',
        'CL_337' => 'Pumanque',
        'CL_338' => 'Punitaqui',
        'CL_339' => 'Punta Arenas',
        'CL_340' => 'Puqueldón',
        'CL_341' => 'Purén',
        'CL_342' => 'Purranque',
        'CL_343' => 'Putaendo',
        'CL_344' => 'Putre',
        'CL_345' => 'Puyehue',
        'CL_346' => 'Queilén',
        'CL_347' => 'Quellón',
        'CL_348' => 'Quemchi',
        'CL_349' => 'Quilaco',
        'CL_350' => 'Quilicura',
        'CL_351' => 'Quilleco',
        'CL_352' => 'Quillón',
        'CL_353' => 'Quillota',
        'CL_354' => 'Quilpué',
        'CL_355' => 'Quinchao',
        'CL_356' => 'Quinta de Tilcoco',
        'CL_357' => 'Quinta Normal',
        'CL_358' => 'Quintero',
        'CL_359' => 'Quirihue',
        'CL_360' => 'Rancagua',
        'CL_361' => 'Ránquil',
        'CL_362' => 'Rauco',
        'CL_363' => 'Recoleta',
        'CL_364' => 'Renaico',
        'CL_365' => 'Renca',
        'CL_366' => 'Rengo',
        'CL_367' => 'Requínoa',
        'CL_368' => 'Retiro',
        'CL_369' => 'Rinconada',
        'CL_370' => 'Río Bueno',
        'CL_371' => 'Río Claro',
        'CL_372' => 'Río Hurtado',
        'CL_373' => 'Río Ibáñez',
        'CL_374' => 'Río Negro',
        'CL_375' => 'Río Verde',
        'CL_376' => 'Romeral',
        'CL_377' => 'Saavedra',
        'CL_378' => 'Sagrada Familia',
        'CL_379' => 'Salamanca',
        'CL_380' => 'San Antonio',
        'CL_381' => 'San Bernardo',
        'CL_382' => 'San Carlos',
        'CL_383' => 'San Clemente',
        'CL_384' => 'San Esteban',
        'CL_385' => 'San Fabián',
        'CL_386' => 'San Felipe',
        'CL_387' => 'San Fernando',
        'CL_388' => 'San Gregorio',
        'CL_389' => 'San Ignacio',
        'CL_390' => 'San Javier',
        'CL_391' => 'San Joaquín',
        'CL_392' => 'San José de Maipo',
        'CL_393' => 'San Juan de la Costa',
        'CL_394' => 'San Miguel',
        'CL_395' => 'San Nicolás',
        'CL_396' => 'San Pablo',
        'CL_397' => 'San Pedro',
        'CL_398' => 'San Pedro de Atacama',
        'CL_399' => 'San Pedro de la Paz',
        'CL_400' => 'San Rafael',
        'CL_401' => 'San Ramón',
        'CL_402' => 'San Rosendo',
        'CL_403' => 'San Vicente',
        'CL_404' => 'Santa Bárbara',
        'CL_405' => 'Santa Cruz',
        'CL_406' => 'Santa Juana',
        'CL_407' => 'Santa María',
        'CL_408' => 'Santiago',
        'CL_409' => 'Santo Domingo',
        'CL_410' => 'Sierra Gorda',
        'CL_411' => 'Talagante',
        'CL_412' => 'Talca',
        'CL_413' => 'Talcahuano',
        'CL_414' => 'Taltal',
        'CL_415' => 'Temuco',
        'CL_416' => 'Teno',
        'CL_417' => 'Teodoro Schmidt',
        'CL_418' => 'Tierra Amarilla',
        'CL_419' => 'Tiltil',
        'CL_420' => 'Timaukel',
        'CL_421' => 'Tirúa',
        'CL_422' => 'Tocopilla',
        'CL_423' => 'Toltén',
        'CL_424' => 'Tomé',
        'CL_425' => 'Torres del Paine',
        'CL_426' => 'Tortel',
        'CL_427' => 'Traiguén',
        'CL_428' => 'Treguaco',
        'CL_429' => 'Tucapel',
        'CL_430' => 'Valdivia',
        'CL_431' => 'Vallenar',
        'CL_432' => 'Valparaíso',
        'CL_433' => 'Vichuquén',
        'CL_434' => 'Victoria',
        'CL_435' => 'Vicuña',
        'CL_436' => 'Vilcún',
        'CL_437' => 'Villa Alegre',
        'CL_438' => 'Villa Alemana',
        'CL_439' => 'Villarrica',
        'CL_440' => 'Viña del Mar',
        'CL_441' => 'Vitacura',
        'CL_442' => 'Yerbas Buenas',
        'CL_443' => 'Yumbel',
        'CL_444' => 'Yungay',
        'CL_445' => 'Zapallar',
    );

    return $states;
}

function cambio_campos_checkout($fields)
{
    $fields['billing']['billing_state']['placeholder'] = 'Seleccione una Comuna';
    $fields['billing']['billing_state']['label'] = 'Comuna';

    $fields['shipping']['shipping_state']['placeholder'] = 'Seleccione una Comuna';
    $fields['shipping']['shipping_state']['label'] = 'Comuna';

    unset($fields['billing']['billing_postcode']);
    unset($fields['shipping']['shipping_postcode']);

    return $fields;
}

add_filter('woocommerce_checkout_fields', 'cambio_campos_checkout');
add_filter('woocommerce_states', 'comunas_de_chile');
?>